loom
  1. loom
  2. LOOM-57

Launcher is compiled against wrapper 3.0.3, but 3.0.5 is distributed.

    Details

    • Type: Bug Bug
    • Status: Closed Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 1.0
    • Fix Version/s: 1.0-rc2
    • Component/s: Service Wrapper
    • Labels:
      None
    • Environment:
      Linux and Win32
    • Number of attachments :
      3

      Description

      The launcher is currently compiled against a different version of the Java service wrapper than the one included in the dist. Both are also somewhat old.

      Patches included update both subprojects to use wrapper 3.1.0. This can be a fix while waiting for a better solution to distribute Wrapper. Note that the long deprecated bash script was removed from wrapper 3.1.0.

      Currently wrapper 3.1.0 is not on ibiblio, but this is beeing taken care of ATM. Wrapper team has been contacted and verified the files. Currently they can be found here:

      http://www.codehaus.org/~sjoberg/wrapper-3.1.0/

      The old wrapper license was also incorrect. Full story on the wrapper site. The changes shouldn't affect anyone.

      1. distribution-maven.xml.patch
        1 kB
        Johan Sjoberg
      2. distribution-project.properties.xml.patch
        0.7 kB
        Johan Sjoberg
      3. launcher-project.xml.patch
        0.5 kB
        Johan Sjoberg

        Activity

        Hide
        Johan Sjoberg added a comment -

        Compile lanucher against wrapper 3.1.0.

        Show
        Johan Sjoberg added a comment - Compile lanucher against wrapper 3.1.0.
        Hide
        Johan Sjoberg added a comment -

        Changes to distribute wrapper 3.1.0

        Show
        Johan Sjoberg added a comment - Changes to distribute wrapper 3.1.0
        Hide
        Johan Sjoberg added a comment -

        Changes to distribute wrapper 3.1.0

        Show
        Johan Sjoberg added a comment - Changes to distribute wrapper 3.1.0
        Hide
        Mauro Talevi added a comment -

        Johan, thanks for patches. I'll apply them as soon as wrapper-3.1.0
        is available on ibiblio.

        Cheers

        Show
        Mauro Talevi added a comment - Johan, thanks for patches. I'll apply them as soon as wrapper-3.1.0 is available on ibiblio. Cheers
        Hide
        Johan Sjoberg added a comment -

        Wrapper 3.1.0 was updated to ibiblio.

        Show
        Johan Sjoberg added a comment - Wrapper 3.1.0 was updated to ibiblio.

          People

          • Assignee:
            Johan Sjoberg
            Reporter:
            Johan Sjoberg
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: